## Get acknowledgement for package tracking by order number

### cURL

```bash
curl --request PUT \
  --url https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/package-tracking-acknowledge \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-channel-id: <x-fabric-channel-id>' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "eventType": "ORDER_CREATE_IN_PTS",
  "attributes": {}
}
'
```

### Python

```python
import requests

url = "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/package-tracking-acknowledge"

payload = {
    "eventType": "ORDER_CREATE_IN_PTS",
    "attributes": {}
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "x-fabric-channel-id": "<x-fabric-channel-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {
  method: 'PUT',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    'x-fabric-channel-id': '<x-fabric-channel-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({eventType: 'ORDER_CREATE_IN_PTS', attributes: {}})
};

fetch('https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/package-tracking-acknowledge', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/package-tracking-acknowledge",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'eventType' => 'ORDER_CREATE_IN_PTS',
    'attributes' => [

]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-fabric-channel-id: <x-fabric-channel-id>",
    "x-fabric-tenant-id: <x-fabric-tenant-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/package-tracking-acknowledge"

payload := strings.NewReader("{\n  \"eventType\": \"ORDER_CREATE_IN_PTS\",\n  \"attributes\": {}\n}")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
	req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Error Responses

- **200** - `{"message": "OK"}`  
- **400** - `{"errors":[{"message":"Invalid request","type":"CLIENT_ERROR"}],"message":"Bad request","type":"CLIENT_ERROR"}`  
- **401** - `{"message": "Unauthorized request","type": "CLIENT_ERROR"}`  
- **404** - `{"message": "An order with the specified orderNumber was not found","type": "CLIENT_ERROR"}`  
- **500** - `{"message": "Internal server error","type": "SERVER_ERROR"}`

### Request Parameters

#### Authorization
- `Bearer <token>` - Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Headers
- `x-fabric-tenant-id` (string, required) - A header used to identify the tenant making the request.
- `x-fabric-channel-id` (string, required) - Identifies the sales channel where the API request is made.

### Path Parameters
- `orderNumber` (string, required) - Merchant-defined order identifier.

### Body
- `eventType` (enum<string>, required) - Event type for which acknowledgement is received.
  - Available options: `ORDER_CREATE_IN_PTS`, `ORDER_CANCELLED_IN_PTS`, etc.
- `attributes` (object) - Custom attribute mappings.
